### Method

# Gck Attribute init_ulong

#### Declaration [src]

    void
    gck_attribute_init_ulong (
      GckAttribute* attr,
      gulong attr_type,
      gulong value
    )

#### Description [src]

Initialize a PKCS#11 attribute to a unsigned long. This will result in a CK_ULONG attribute from the PKCS#11 specs.

When done with the attribute you should use `gck_attribute_clear()` to free the internal memory.

This method is not directly available to language bindings.

#### Parameters

`attr_type` | `gulong`
| The PKCS#11 attribute type to set on the attribute.
`value` | `gulong`
| The ulong value of the attribute.